Subject: Re: [PATCH v2] arm64: dts: rockchip: add rk3399 UART DMAs

From: Heiko Stuebner <[email-masked]>
Date: Wed, 27 Mar 2019 13:00:16 +0100

Hi,

Am Dienstag, 26. März 2019, 14:49:16 CET schrieb Katsuhiro Suzuki:
> Hello Robin,
> 
> Sorry for inconvenience. Since I don't adhere enabling DMA for UARTs,
> please revert my patch if you need.

I've dropped the patch from my queue now.

> BTW, there are DMA properties in RK3328 device-tree like as this patch.
> RK3328 UART DMA could not work correctly too...??

I remember Rockcihip dma-controllers having issues with burst-sizes
and flushing (there is a no-flushp option in pl330), so it's
possible that all share the same error up to rk3399 and rk3328

But so far no-one has shouted regarding the rk3328.

Heiko

> On 2019/03/26 20:48, Robin Murphy wrote:
> > On 25/03/2019 12:34, Heiko Stuebner wrote:
> >> Am Donnerstag, 21. März 2019, 17:22:44 CET schrieb Katsuhiro Suzuki:
> >>> Add UART dma channels as specified by the rk3399 TRM.
> >>>
> >>> Refer:
> >>> RK3399 TRM V1.4: Chapter 12 DMA Controller
> >>>
> >>> Signed-off-by: Katsuhiro Suzuki <[email-masked]>
> >>
> >> applied for 5.2
> > 
> > As a heads-up, I did manage to try my board with this patch applied over 
> > the weekend, and it makes probing the bluetooth adapter fail with 
> > communication errors, so I'm not sure the 8250 and pl330 drivers are 
> > really cooperating well enough :(
> > 
> > Robin.
> > 
> 
> 

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel